# Public APIs

A collective list of JSON APIs for use in web development.

### Animals
| API | Description | OAuth |Link |
|---|---|---|---|
| Petfinder | Adoption | No | [Go!](https://www.petfinder.com/developers/api-docs/) |

### Anime

| API | Description | OAuth |Link |
|---|---|---|---|
| Hummingbird | Hummingbird Anime API | No | [Go!](https://hummingbird.me/) |
| AniList | AniList Anime API | Yes | [Go!](http://anilist-api.readthedocs.org/en/latest/#) |

### Bike
| API | Description | OAuth |Link |
|---|---|---|---|
| Bike for Belgian | Belgian bike API | No, but `apiKey` query string | [Go!](https://developer.jcdecaux.com/) |
| Bike for France | France bike API | No, but `apiKey` query string | [Go!](https://developer.jcdecaux.com/) |
| Bike for Spain | Spain bike API | No, but `apiKey` query string | [Go!](https://developer.jcdecaux.com/) |

### Calendar

| API | Description | OAuth |Link |
|---|---|---|---|
| Church Calendar API | Catholic liturgical calendar | No | [Go!](http://calapi.inadiutorium.cz/) |
| Non-working days API | Database of ICS files for non working days | No | [Go!](https://github.com/gadael/icsdb) |

### Development

| API | Description | OAuth |Link |
|---|---|---|---|
| RandomUser | Generates random user data | No | [Go!](https://randomuser.me) |
| UI Faces | Find and generate sample avatars for user interfaces | No | [Go!](http://uifaces.com/api) |
| UI Names | Generate random fake names | No | [Go!](https://github.com/thm/uinames) |
| Adorable Avatars | Generate random cartoon avatars | No | [Go!](http://avatars.adorable.io) |
| Github - User Data | Pull public information for a user's github | No | [Go!](https://api.github.com/users/hackeryou) |
| JSONPlaceholder | Fake data for testing and prototyping | No | [Go!](http://jsonplaceholder.typicode.com/) |
| RoboHash | Generate random robot/alien avatars | No | [Go!](https://robohash.org/) |
| API Only | Several APIs free. | No | [Go!](http://apionly.com/) |
| Lorem Text | Generates Lorem Ipsum text | Yes | [Go!] (https://market.mashape.com/montanaflynn/lorem-text-generator) 

### Drinks

| API | Description | OAuth |Link |
|---|---|---|---|
| BreweryDB | Beer | No |[Go!](http://www.brewerydb.com/developers) |
| LCBO API | Alcohol | No |[Go!](https://lcboapi.com/) |

### Data Access

| API | Description | OAuth |Link |
|---|---|---|---|
| Abbreviation API | Get abbreviations and meanings easily. | No |[Go!](https://market.mashape.com/daxeel/abbreviations) |
| Callook.info API | Get data associated with United States ham radio callsigns. | No |[Go!](https://callook.info) |
| Celebinfo API | CelebInfo is a simple API which will give you access to the information like birthdays etc. With this API you will get these data of celebrities. | No |[Go!](https://market.mashape.com/daxeel/celebinfo/) |

### Exchange

| API | Description | OAuth |Link |
|---|---|---|---|
| Currencylayer | Exchange Rates & Currency Conversion | No | [Go!](https://currencylayer.com/documentation) |

### Games & Comics

| API | Description | OAuth |Link |
|---|---|---|---|
| Marvel | Marvel Comics API | No | [Go!](http://developer.marvel.com) |
| SWAPI | Star Wars API | No |[Go!](https://swapi.co) |
| Pokéapi | The RESTful Pokémon API | No |[Go!](http://pokeapi.co) |
| Giant Bomb | Video Games | No |[Go!](http://www.giantbomb.com/api/documentation) |
| Comic Vine | Comics | No | [Go!](http://comicvine.gamespot.com/api/documentation) |

### Media

| API | Description | OAuth |Link |
|---|---|---|---|
| Noun Project | Icons | Yes | [Go!](http://api.thenounproject.com/index.html) |
| Unsplash | Photography | Yes | [Go!](https://unsplash.com/developers) |
| Giphy | Get all your gifs | No | [Go!](https://github.com/Giphy/GiphyAPI) |
| TVMaze | TV Show Data | No | [Go!](http://www.tvmaze.com/api) |
| OMDB | Open movie database | No | [Go!](http://omdbapi.com) |
| MovieDB | Movie Data | No | [Go!](https://www.themoviedb.org/documentation/api) |
| Netflix Roulette | Netflix database | No | [Go!](http://netflixroulette.net/api/) |
| Good Reads | Books | No | [Go!](https://www.goodreads.com/api) |
| Dribbble | Design | Yes | [Go!](http://developer.dribbble.com/v1/) |
| Ron Swanson Quotes | Television | No | [Go!](https://github.com/jamesseanwright/ron-swanson-quotes#ron-swanson-quotes-api) |
| Rijksmuseum| Art | No | [Go!](https://www.rijksmuseum.nl/en/api) |
| iTunes Search | Software products API | No | [Go!](https://affiliate.itunes.apple.com/resources/documentation/itunes-store-web-service-search-api/) |
| Twitch | Game Streaming API | Yes | [Go!](https://github.com/justintv/Twitch-API) |
| Wordnik | Dictionary Data API | No | [Go!](http://developer.wordnik.com) |
| Imgur | Images | Yes | [Go!](https://api.imgur.com/#overview) | 
| Chuck Norris Database | Jokes | No | [Go!](http://www.icndb.com/api) |

### Music
| API | Description | OAuth |Link |
|---|---|---|---|
| Discogs | Music | No | [Go!](https://www.discogs.com/developers/) |
| EchoNest | Music | No | [Go!](http://developer.echonest.com/docs/v4) |
| LastFm | Music | No | [Go!](http://www.last.fm/api) |
| Mixcloud | Music | No | [Go!](https://www.mixcloud.com/developers/) |
| MusicBrainz | Music | No | [Go!](https://musicbrainz.org/doc/Development/XML_Web_Service/Version_2) |
| Soundcloud | Music | No | [Go!](https://developers.soundcloud.com/) |
| Spotify | Music | No | [Go!](https://developer.spotify.com/web-api/migration-guide/) |

### Open Source projects
| API | Description | OAuth |Link |
|---|---|---|---|
| Drupal.org | Drupal.org API | No | [Go!](https://www.drupal.org/drupalorg/api) |

### Security

| API | Description | OAuth |Link |
|---|---|---|---|
| UK Police | UK Police data | No | [Go!](https://data.police.uk/docs/) |

### Science

| API | Description | OAuth |Link |
|---|---|---|---|
| TED Talks | TED API | No | [Go!](http://developer.ted.com/API_Docs) |
| NASA | NASA data, including imagery | No | [Go!](https://api.nasa.gov) |
| Wunderground | Weather | No | [Go!](http://www.wunderground.com/weather/api/) |
| OpenWeatherMap | Weather | No | [Go!](http://openweathermap.org/api) |
| World Bank | World Data | No | [Go!](http://data.worldbank.org/developers) |
| Open Notify | ISS astronauts, current location API | No | [Go!](http://open-notify.org/Open-Notify-API/) |
| Fedger.io | Query machine intelligence data | No | [Go!](https://dev.fedger.io/docs/) |
| inspirehep.net | High Energy Physics info. system | No | [Go!](https://inspirehep.net/info/hep/api?ln=en) |

### Social
        
| API | Description | OAuth |Link |
|---|---|---|---|
| Full Contact | Get Social Media profiles and contact Information | Yes | [Go!](https://www.fullcontact.com/developer/docs/) |
| LinkedIn REST-API | The foundation of all digital integrations with LinkedIn | Yes | [Go!](https://developer.linkedin.com/docs/rest-api) |
| Facebook API | Facebook Login, Share on FB, Social Plugins, Analytics and more | Yes | [Go!](https://developers.facebook.com/) |
| Twitter API | Read and write Twitter dat | Yes | [Go!](https://dev.twitter.com/rest/public) |

### Sports

| API | Description | OAuth |Link |
|---|---|---|---|
| Football-Data.org | Football Data | No | [Go!](http://api.football-data.org) |
| FitBit | FitBit API | No | [Go!](https://dev.fitbit.com) |

### Transportation
| API | Description | OAuth |Link |
|---|---|---|---|
| Transport for London | TFL API | No | [Go!](https://api.tfl.gov.uk) |
| Transport for Belgium | Belgian transport API | No | [Go!](https://hello.irail.be/api/) |
| Transport for Germany | Deutsche Bahn (DB) API | No | [Go!](http://data.deutschebahn.com/apis/fahrplan/) |
| Transport for Switzerland | Swiss public transport API | No | [Go!](https://transport.opendata.ch/) |
| Transport for Budapest | Budapest public transport API | No | [Go!](http://docs.bkkfutar.apiary.io/) |
| Transport for Norway | Norwegian transport API | No | [Go!](http://reisapi.ruter.no/help) |
| Transport for Toronto | TTC | No| [Go!](https://myttc.ca/developers) |
| Transport for Vancouver, Canada | TransLink | Yes | [Go!](https://developer.translink.ca/) |
| Transport for Washington, US | Washington Metro transport API | Yes | [Go!](https://developer.wmata.com/) |
| Transport for Paris, France | RATP Open Data API | No | [Go!](http://data.ratp.fr/api/v1/console/datasets/1.0/search/) |
| Transport for Sao Paulo, Brazil | SPTrans | Yes | [Go!](http://www.sptrans.com.br/desenvolvedores/APIOlhoVivo/Documentacao.aspx) |
| Transport for The Netherlands | NS | No | [Go!](http://www.ns.nl/reisinformatie/ns-api) |

### Vehicle
| API | Description | OAuth |Link |
|---|---|---|---|
| Vehicle API | Lot of vehicles informations | No, but `apiKey` query string | [Go!](http://developer.edmunds.com/api-documentation/overview/) |
